Subject: Re: [PATCH] parse-options: don't complete option aliases by default

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Jul 2021 11:57:22 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I'm a bit biased here since I like --recursive better, but let's not
> drag that whole argument up again. I don't find the argument in
> bb62e0a99fc (clone: teach --recurse-submodules to optionally take a
> pathspec, 2017-03-17) convincing enough to have moved such a prominent
> use-case to a longer option name.

I do agree that it is a separate topic to pick one or the other as
the primary.  I think this change means that the users no longer
need to stop after hitting a tab:

    clone --recurs<TAB>

and instead get to "clone --recurse-submodules" right away, which is
a positigve change.  Of course, if the separate topic swaps which is
the canonical and which is the alias, the same user would get the
new canonical one right away from the same state.

So it does look like a good change to me.